Bug 211993 - CVE-2006-4574 Multiple Wireshark issues (CVE-2006-4805, CVE-2006-5468, CVE-2006-5469, CVE-2006-5740)
CVE-2006-4574 Multiple Wireshark issues (CVE-2006-4805, CVE-2006-5468, CVE-20...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: wireshark (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
source=cve,reported=20061017,impact=m...
: Security
Depends On:
Blocks: 213433
  Show dependency treegraph
 
Reported: 2006-10-24 09:37 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0726
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 14:11:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-10-24 09:37:07 EDT
Wireshark 0.99.4 will be fixing several security issues:

CVE-2006-5468
> * NULL point dereference
>   The HTTP dissector could dereference a null pointer.
>   Fixed in r19022, r19153
>   Bug IDs: 1050, 1079
>   Versions affected: 0.99.3.


CVE-2006-5469
>   The WBXML dissector could crash.
>   Fixed in r19560
>   Bug IDs: 1134
>   Versions affected: 0.10.11 to 0.99.3.


CVE-2006-5470
> * OOB memory read
>   The LDAP dissector (and possibly others) could crash.
>   Fixed in r19154
>   Bug IDs: 1079
>   Versions affected: 0.99.3.


CVE-2006-4805
> * Basic DoS (it crashes, that's it)
>   The XOT dissector could attempt to allocate a large amount of
>   memory and crash.
>   Fixed in r19365
>   Bug IDs: 1133
>   Versions affected: 0.9.8 to 0.99.3.


CVE-2006-4574
> * Single byte \0 overflow written onto the heap
>   The MIME Multipart dissector was susceptible to an off-by-one error.
>   Fixed in r19566
>   Bug IDs: 1135
>   Versions affected: 0.10.1 to 0.99.3.
Comment 1 Josh Bressers 2006-10-24 09:37:51 EDT
These issues also affect RHEL2.1 and RHEL3
Comment 2 Radek Vokal 2006-10-25 01:54:39 EDT
release is planned for Monday Oct 30.
Comment 3 Josh Bressers 2006-10-30 11:47:54 EST
Due to a type, CVE-2006-5470 is now CVE-2006-5740.
Comment 4 Josh Bressers 2006-10-30 11:48:41 EST
Lifting embargo
Comment 7 Red Hat Bugzilla 2006-11-09 14:11:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0726.html

Note You need to log in before you can comment on or make changes to this bug.